@import '../general-repository.css';
@import 'card2pagesoftware.css';

.propose-rds h2, .last-info h2, .comm-title{font-size: clamp(2.2em, 4.3vw, 5.4em);line-height: 1;}
.propose-rds p, .last-info p{font-size: clamp(0.9em, 1.5vw, 1.1em);}

.video-position{
  width: 100%;
  display: flex;
  height: 100vh;
  object-fit: cover;
  align-items: center;
  border-radius: 15px;
  justify-content: center;
  background-color: #000;
}

.video-position video{
  width: 432px;
  height: 945px;
  object-fit: cover;
  position: absolute;
  border-radius: 30px;
}

/* SVG Snake */
.features-title {margin: 4em 0 0;}

.propose-rds{
  display: flex;
  padding: 0 10px;
  margin: -9em auto 0;
  max-width: 1600px;
  flex-direction: row;
  justify-content: space-between;
}

.propose-info{margin: 20px 0 0 60px;}

.propose-info p{margin: 0;}

strong a{
  transition: .4s !important;
  text-decoration: underline !important;
}

strong a:hover{color: firebrick !important;}
.rds-steps {max-width: 100%;}

.propose-rds h2, .last-info h2{
  line-height: 1;
  margin: 0 0 25px;
  letter-spacing: -3px;
  text-transform: uppercase;
}

.last-info h2:before, .last-info h2:after{
  z-index: -1;
  opacity: .4;
  font-size: 10rem;
  position: absolute;
  font-family: "Font Awesome 5 Free";
}

.last-info h2:before{
  content: '\f10d';
  color: white;
  margin: -50px;
}

.last-info h2:after{
  content: '\f10e';
  width: 50%;
  right: -42rem;
  color: firebrick;
  margin-top: .4em;
}

.last-info p{
  margin: 0;
  max-width: 785px;
}

.big-circle, .mid-circle, .small-circle{
  position: relative;
  border-radius: 50%;
  border: 2px solid firebrick; 
}

.big-circle{
  width: 600px;
  height: 600px;
}

.mid-circle{
  right: 26em;
  bottom: 17em;
  width: 450px;
  height: 450px;
}

.small-circle{
  left: 2em;
  width: 300px;
  height: 300px;
  margin-top: -28em;
}

.step{
  display: flex;
  width: 100%;
  height: 100%;
  padding: 0 40px;
  text-align: center;
  align-items: center;
  flex-direction: column;
  justify-content: center;
}

.big-circle.step{padding: 0 50px;}
.step p{font-size: 20px;}

.step span{
  line-height: 1;
  font-size: 50px;
  font-weight: bold;
}

.oobjectives-cc{
  display: flex;
  padding: 0 10px;
  margin: 170px 0 130px;
  justify-content: center;
}

.last-info{
  display: flex;
  margin-left: 80px;
  max-width: 670px;
  flex-direction: column;
}

.last-info h2{line-height: 1;}

.floating{
  animation: floating_t1 ease-in-out 4s;
  animation-iteration-count: infinite;
  transform-origin: 100% 50%;
  -webkit-animation: floating_t1 ease-in 4s;
  -webkit-animation-iteration-count: infinite;
  -webkit-transform-origin: 100% 50%;
  -moz-animation: floating_t1 ease-in 4s;
  -moz-animation-iteration-count: infinite;
  -moz-transform-origin: 100% 50%;
}

@keyframes floating_t1{
  0% {transform: translate(0px,0px) rotate(0deg) ;}
  25% {transform: translate(0px,-70px) rotate(0deg) ;}
  50% {transform: translate(0px,1px) rotate(0deg) ;}
  75% {transform: translate(0px,-70px) rotate(0deg) ;}
  100% {transform: translate(0px,0px) rotate(0deg) ;}
}

/*Final Btn*/
.btn-container{
  display: flex;
  padding: 0 10px;
  flex-direction: row;
  margin: 130px 0 60px;
  justify-content: center;
}

.btn-container a{
  transition: .2s;
  font-size: 24px;
  overflow: hidden;
  font-weight: 600;
  position: relative;
  max-width: 100%;
  letter-spacing: 4px;
  display: inline-block;
  padding: 15px 20px;
  text-decoration: none;
  border-bottom: 1px solid grey;
}

.btn-container a:hover{
  color: black;
  transition-delay: 1s;
  background: firebrick;
  box-shadow: 0 0 10px firebrick, 0 0 40px firebrick, 0 0 10px firebrick;  
}

.btn-container a span{
  display: block;
  position: absolute;
}

.btn-container a span:nth-child(1){
  top: 0;
  left: -100%;
  height: 2px;
  width: 100%;
  background: linear-gradient(90deg,transparent,firebrick);
}

.btn-container a:hover span:nth-child(1){
  left: 100%;
  transition: 1s;
}

.btn-container a span:nth-child(3){
  bottom: 0;
  right: -100%;
  width: 100%;
  height: 2px;
  background: linear-gradient(270deg,transparent,firebrick);
}

.btn-container a:hover span:nth-child(3){
  right: 100%;
  transition: 1s;
  transition-delay: .5s;
}

.btn-container a span:nth-child(2){
  top: -100%;
  right: 0;
  width: 2px;
  height: 100%;
  background: linear-gradient(180deg,transparent,firebrick);
}

.btn-container a:hover span:nth-child(2){
  top: 100%;
  transition: 1s;
  transition-delay: .25s;
}

.btn-container a span:nth-child(4){
  left: 0;
  width: 2px;
  height: 100%;
  bottom: -100%;
  background: linear-gradient(360deg,transparent,firebrick);
}

.btn-container a:hover span:nth-child(4){
  bottom: 100%;
  transition: 1s;
  transition-delay: .75s;
}

/* Responsive Mode */
@media (max-width: 1920px) {
  .video-position video {
    width: 360px;
    height: 645px;
  }
}

@media (max-width: 1680px) {
  .last-info h2:after {
    width: 100%;
    right: -87vw;
    margin-top: 0.6em;
  }
}

@media (max-width: 1680px) {
  .containerr .grid3d {padding: 0 4em 15em;}
  .grid {height: 330px;}
}  

@media (max-width: 1440px) {
  .features-title {
    font-size: 40px;
    margin: 2em 0 1em;
  }

  .propose-info {margin: -35px 0 0 40px;}

  .big-circle {
    width: 500px;
    height: 500px;
  }
}

@media (max-width: 1300px) {
  .video-position video {
    height: 80vh;
    width: 330px;
  }

  .propose-rds {
    max-width: 100%;
    margin: -11em auto 0;
    flex-direction: column;
  }

  .propose-info {margin: 0;}

  .propose-info {
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  .rds-steps{
    display: flex;
    align-items: flex-end;
    flex-direction: column;
    margin: 40px 80px 0 0;
  }

  .mid-circle {right: 31em;}

  .small-circle {
    left: -15em;
    margin-top: -29em;
  }

  .last-info h2:after {right: -70vw;}

  #circle-container{display: none;}
  .oobjectives-cc {margin: 0;}
  .btn-container {margin: 60px 0;}
}

@media (max-width: 1024px) {
  .rds-steps {margin: 40px 20px 0 0;}
}

@media (max-width: 600px) {
  .goto-top{z-index: 1 !important;}
  .propose-rds {margin: 0;}
  .propose-info {text-align: center;}
  .propose-rds h2, .last-info h2 {letter-spacing: initial;}

  .propose-rds .paragraph p {
    font-size: 15px;
    margin-left: 10px;
    text-align: center;
  }

  .rds-steps {
    gap: 4vw;
    margin: 40px 0 0 0;
    flex-direction: column;
  }

  .big-circle, .mid-circle, .small-circle {
    height: 100%;
    margin: 0 0 30px;
  }

  .circle-form:nth-child(1) {
    width: 95vw;
    height: 95vw;
  }

  .big-circle {width: 100%;}

  .circle-form:nth-child(2) {
    width: 85vw;
    height: 85vw;
  }

  .mid-circle {
    right: 0;
    bottom: 0;
    width: 100%;
  }

  .circle-form:nth-child(3) {
    width: 70vw;
    height: 70vw;
  }

  .small-circle {
    left: 0;
    width: 100%;
  }

  .step p {font-size: 16px;}
  .oobjectives-cc {margin: 40px 0 0;}

  .last-info {
    margin: 0;
    text-align: center;
  }

  .last-info h2:before, .last-info h2:after {font-size: 7rem;}

  .last-info h2:before {
    left: 7vw;
    margin: -20px 0 0;
  }

  .last-info h2:after {
    right: -35vw;
    margin-top: 1em;
  }

  .btn-container {margin: 60px 0;}
}

@media (max-width: 400px) {
  .quotes:last-child {display: none;}
}

@media (max-width: 360px) {
  .propose-rds h2, .last-info h2 {font-size: 33px;}
}

@media (max-width: 330px) {
  .content-grid-title h1 {font-size: 34px;}

  .propose-rds h2, .last-info h2 {font-size: 25px;}
  .propose-rds .paragraph p {font-size: 14px;}

  .last-info {margin: 0 10px 0 15px;}
  .last-info p{font-size: 14px;}
}